Bug 8178 - circ/circulation.pl under plack duplicates checkout rows
Summary: circ/circulation.pl under plack duplicates checkout rows
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Dobrica Pavlinusic
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2012-06-01 13:13 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8178 - circ/circulation.pl under plack duplicates checkout rows (1.21 KB, patch)
2012-06-01 13:27 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 8178 - circ/circulation.pl under plack duplicates checkout rows (1.61 KB, patch)
2012-06-01 15:45 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[Signed-off] Bug 8178 - circ/circulation.pl under plack duplicates checkout rows (1.68 KB, patch)
2012-06-09 15:04 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-06-01 13:13:36 UTC

    
Comment 1 Dobrica Pavlinusic 2012-06-01 13:27:18 UTC Comment hidden (obsolete)
Comment 2 Dobrica Pavlinusic 2012-06-01 15:45:37 UTC Comment hidden (obsolete)
Comment 3 Alex Arnaud 2012-06-09 15:04:18 UTC
Created attachment 10038 [details] [review]
[Signed-off] Bug 8178 - circ/circulation.pl under plack duplicates checkout rows

Bug 7851 introduced our scoping for vairables, unfortunatly it has
side-effect that checkout rows accumulate on page reloads instead
of being initialized to empty array (which this patch fixes)

This also fixes %renew_failed initialization on each request.

Test scenario:
1. start intranet under plack
2. open /cgi-bin/koha/circ/circulation.pl and reload page few time
   confirming that rows gets duplicated
3. apply patch and reload page to verify that it works

Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 4 Paul Poulain 2012-06-10 11:01:56 UTC
QA comment: tiny patch, that proves we should never declare a variable without initializing it ;-)

passed QA
Comment 5 Chris Cormack 2012-06-14 00:57:10 UTC
Bug fix, pushed to 3.8.x will be in 3.8.2